package me.eater.hefbrug.access

data class ExecutionCommand(
    val command: Array<out String>,
    val environment: Map<String, String>,
    val workingDirectory: String?
) {
    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false

        other as ExecutionCommand

        if (!command.contentEquals(other.command)) return false
        if (environment != other.environment) return false
        if (workingDirectory != other.workingDirectory) return false

        return true
    }

    override fun hashCode(): Int {
        var result = command.contentHashCode()
        result = 31 * result + environment.hashCode()
        result = 31 * result + (workingDirectory?.hashCode() ?: 0)
        return result
    }
}
