package me.eater.hefbrug.access

interface AccessSkeleton {
    fun id(): String
    suspend fun execute(
        vararg command: String,
        environment: Map<String, String> = mapOf(),
        workingDirectory: String? = null
    ): ExecutionOutput

    suspend fun exists(fileName: String, type: FileType = FileType.Anything): Boolean {
        val res = execute("test", type.switch, fileName)
        return res.exitCode == 0
    }
}