package me.eater.hefbrug.access

import me.eater.hefbrug.logging.Logging

class NoopAccess : AccessSkeleton, Logging {
    override fun id() = "noop"

    override suspend fun execute(
        vararg command: String,
        environment: Map<String, String>,
        workingDirectory: String?
    ): ExecutionOutput {
        return ExecutionOutput(ExecutionCommand(command, environment, workingDirectory), 0, "", "")
    }
}