package me.eater.hefbrug.definition

import me.eater.hefbrug.dsl.context.DefinitionContextSkeleton
import me.eater.hefbrug.state.AbstractState

abstract class AbstractDefinition<S : AbstractState, C : DefinitionContextSkeleton<S>>(
    override val key: DefinitionKey,
    override val state: S
) : DefinitionSkeleton<S, C> {
    override val id: String get() = state.id
    override val require: MutableSet<DefinitionKey> = mutableSetOf()
    override val before: MutableSet<DefinitionKey> = mutableSetOf()
    override val after: MutableSet<DefinitionKey> = mutableSetOf()
}

