package me.eater.hefbrug.definition

import me.eater.hefbrug.dsl.context.DefinitionContextSkeleton
import me.eater.hefbrug.state.AbstractState

interface DefinitionSkeleton<S : AbstractState, out C : DefinitionContextSkeleton<S>> {
    val key: DefinitionKey
    val state: S

    val id: String
    val require: MutableSet<DefinitionKey>
    val before: MutableSet<DefinitionKey>
    val after: MutableSet<DefinitionKey>

    fun getContext(): C
}