package me.eater.hefbrug.dsl.scope

import me.eater.hefbrug.definition.DefinitionFactory
import me.eater.hefbrug.definition.DefinitionSkeleton
import me.eater.hefbrug.dsl.context.DefinitionContextSkeleton
import me.eater.hefbrug.state.AbstractState

class AbstractScope(private val parentScope: ScopeInterface) : ScopeInterface, TargetedScope {
    override fun <S : AbstractState, C : DefinitionContextSkeleton<S>, D : DefinitionSkeleton<S, C>> getDefinition(
        id: String,
        factory: DefinitionFactory<S, C, D>
    ): D =
        parentScope.getDefinition(id, factory)

}