package me.eater.hefbrug.enforcer.impl

import me.eater.hefbrug.enforcer.AbstractEnforcer
import me.eater.hefbrug.executor.ExecutionContext
import me.eater.hefbrug.state.impl.ServiceState

class ServiceEnforcer(context: ExecutionContext) : AbstractEnforcer<ServiceState>(context) {
    override suspend fun enforce(currentState: ServiceState, desiredState: ServiceState, changeSet: Set<String>) {
        val sm = context.getServiceManager()

        sm.setState(
            desiredState.name,
            enabled = desiredState.enabled,
            running = desiredState.running,
            autostart = desiredState.autostart
        )
    }
}