@file:Suppress("UNUSED")

package me.eater.hefbrug.executor

import me.eater.hefbrug.definition.impl.PackageDefinition
import me.eater.hefbrug.definition.impl.ServiceDefinition
import me.eater.hefbrug.dsl.Location
import me.eater.hefbrug.dsl.context.RootContext
import kotlin.script.experimental.annotations.KotlinScript

@Suppress("UNUSED_PARAMETER")
@KotlinScript(
    displayName = "Hefbrug definition script",
    fileExtension = "hb.kts",
    compilationConfiguration = HefbrugCompilationConfiguration::class,
    evaluationConfiguration = HefbrugEvaluationConfiguration::class
)
abstract class HefbrugScript(root: RootContext, location: Location) {
    val sv = ServiceDefinition.KeyHelper
    val pkg = PackageDefinition.KeyHelper
}
