package me.eater.hefbrug.selector

import me.eater.hefbrug.dsl.annotation.HefbrugDSL
import me.eater.hefbrug.node.Node

@HefbrugDSL
interface SelectorInterface {
    fun matches(node: Node): Boolean

    operator fun not(): SelectorInterface = NotSelector(this)
    infix fun and(right: SelectorInterface): SelectorInterface = AndSelector(this, right)
    infix fun or(right: SelectorInterface): SelectorInterface = OrSelector(this, right)
}