package me.eater.hefbrug.state.property

import kotlin.properties.ReadWriteProperty
import kotlin.reflect.KMutableProperty0
import kotlin.reflect.KProperty

class ProxyDelegate<R, T>(val reference: KMutableProperty0<T>) : ReadWriteProperty<R, T> {
    override fun getValue(thisRef: R, property: KProperty<*>): T =
        reference.get()


    override fun setValue(thisRef: R, property: KProperty<*>, value: T) =
        reference.set(value)
}